> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/nem-xem/xem_local_account_transfers_all.md).

# /local/account/transfers/all {disallowed} - NEM

Example code for the /local/account/transfers/all  {disallowed} rest method. Сomplete guide on how to use /local/account/transfers/all  {disallowed} rest in GetBlock.io Web3 documentation.

#### Parameters

`page` -

The account private key transactions page contains data that NIS needs to retrieve a set of transactions from the database. The data includes the private key of the account for which transactions are retrieved. Use requests that use this structure only when NIS is running locally. The fields "hash" and "id" are optional.

example: { "value": "68e4f79f886927de698df4f857de2aada41ccca6617e56bb0d61623b35b08cc0", "hash": "44e4968e5aa35fe182d4def5958e23cf941c4bf809364afb4431ebbf6a18c039", "id": "12345" }

#### Request

```java
curl --location --request POST 'https://shared.eu-central-1.getblock.io/YOUR-ACCESS-TOKEN/local/account/transfers/all' \
--header 'Content-Type: application/json'
```

#### Response

```java
{
    "result": "null",
    "id": "getblock.io",
    "status_code": 405,
    "message": "Method not allowed"
}
```
